SIM_HOME_SWITCH(9)

NAME

sim_home_switch - Home switch simulator

SYNOPSIS

loadrt sim_home_switch [count=N|names=name1[,name2...]]

DESCRIPTION

After tripping home switch, travel in opposite direction is required (amount set by the hysteresis pin). A pin (index-enable) is provided for use when [JOINT_n]HOME_USE_INDEX is specified to reset the I/O pin joint.N.index-enable.

FUNCTIONS

sim-home-switch.N (requires a floating-point thread)

PINS

sim-home-switch.N.cur-pos float in
    Current position (typically: joint.n.motor-pos-fb)

sim-home-switch.N.home-pos float in (default: 1)
    Home switch position

sim-home-switch.N.hysteresis float in (default: 0.1)
    Travel required to backoff (hysteresis)

sim-home-switch.N.home-sw bit out
    Home switch activated

sim-home-switch.N.index-enable bit io
    typ: connect to joint.N.index-enable

sim-home-switch.N.index-delay-ms float in (default: 10)
    delay in msec to reset index-enable

AUTHOR

Dewey Garrett

LICENSE

GPL